<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<!-- 
IGAC proyecto SNC
@author:        juan.agudelo
@version 		2.0
@cu             CU-CO-V-03

    Pantalla que permite mostrar la información de cancelación e inscripcion 
   	mostrando el detalle de un predio final despues de la proyección 
    en el modulo correspondiente a inscripciones y decretos
    
    Paramteros de entrada:
   
-->

<h:panelGrid xmlns="http://www.w3.org/1999/xhtml"
             xmlns:h="http://java.sun.com/jsf/html"
             xmlns:f="http://java.sun.com/jsf/core"
             xmlns:ui="http://java.sun.com/jsf/facelets"
             xmlns:p="http://primefaces.org/ui" columns="1" cellspacing="7"
             id="tablaDatosIdinscripcionesDecretosId" width="100%">


    <h:panelGrid columns="2" cellspacing="13">
        <h:outputLabel value="Nota:" styleClass="noteLabelStyle" />
        <h:outputText
            value="La información sobre inscripciones y decretos solo se encuentra disponible para predios finales."
            styleClass="noteTextStyle" />
    </h:panelGrid>


    <h:panelGrid columns="2" cellspacing="7"
                 rendered="#{not empty infoCancelacionInscripcion.predioFinalSeleccionado}">

        <h:outputLabel value="Fecha inscripción: "
                       styleClass="outputLabelStyle" />

        <h:outputText
            value="#{infoCancelacionInscripcion.predioFinalSeleccionado.fechaInscripcionCatastral}"
            rendered="#{proyectarConservacion.tramite.primera}"
            styleClass="outputTextStyle">
            <f:convertDateTime pattern="#{general.formatoFechaUsuario}" locale="es" />
        </h:outputText>

    </h:panelGrid>

    <h:panelGrid columns="1" cellpadding="5" cellspacing="5">

        <p:dataTable id="tablaInscripcionesYDecretos" var="avaluoCatastral"
                     value="#{infoCancelacionInscripcion.pPrediosAvaluosCatastrales}"
                     sortOrder="#{infoCancelacionInscripcion.pPrediosAvaluosCatastrales.vigencia}"
                     style="width:500px;" paginator="true" rows="5"
                     paginatorTemplate="{RowsPerPageDropdown} {FirstPageLink} {PreviousPageLink} {CurrentPageReport} {NextPageLink} {LastPageLink}"
                     paginatorPosition="bottom" rowsPerPageTemplate="5,10,15"
                     emptyMessage="No existe información de inscripciones y decretos asociados al predio."
                     rendered="#{not empty infoCancelacionInscripcion.predioFinalSeleccionado}">

            <f:facet name="header">
                Proyección de Inscripción / Decretos
            </f:facet>

            <p:column headerText="Decreto número">
                <h:outputText value="#{avaluoCatastral.decretoNumero}"
                              styleClass="outputTextStyle" />
            </p:column>

            <p:column headerText="Fecha del decreto">
                <h:outputText value="#{avaluoCatastral.decretoFecha}"
                              styleClass="outputTextStyle" >
                    <f:convertDateTime pattern="#{general.formatoFechaUsuario2}" locale="es" />
                </h:outputText>
            </p:column>

            <p:column headerText="Vigencia" sortBy="#{avaluoCatastral.vigencia}">
                <h:outputText value="#{avaluoCatastral.vigencia}"
                              styleClass="outputTextStyle">
                    <f:convertDateTime pattern="#{general.formatoFechaUsuario2}" locale="es" />
                </h:outputText>
            </p:column>

            <p:column headerText="Valor">
                <h:outputText value="#{avaluoCatastral.valorTotalAvaluoCatastral}"
                              styleClass="outputTextStyle">
                    <f:convertNumber type="number" />
                </h:outputText>
            </p:column>

        </p:dataTable>
    </h:panelGrid>

    <h:outputText value="No existen predios finales seleccionados"
                  styleClass="outputTextStyle"
                  rendered="#{empty infoCancelacionInscripcion.predioFinalSeleccionado}" />

</h:panelGrid>

